Loading...
Searching...
No Matches
CLI::detail::type_count_base< T, typename std::enable_if< is_tuple_like< T >::value &&!is_mutable_container< T >::value >::type > Struct Template Reference

the base tuple size More...

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr int | value

## Detailed Description

template<typename T>
struct CLI::detail::type_count_base< T, typename std::enable_if< is_tuple_like< T >::value &&!is_mutable_container< T >::value >::type >

the base tuple size

## Member Data Documentation

## value

template<typename T>

int CLI::detail::type_count_base< T, typename std::enable_if< is_tuple_like< T >::value &&!is_mutable_container< T >::value >::type >::value

static constexpr

Initial value:
{
std::tuple_size<typename std::decay<T>::type>::value}
CLI::detail::type_count_base< T, typename std::enable_if< is_tuple_like< T >::value &&!is_mutable_container< T >::value >::type >::value
static constexpr int value
Definition TypeTools.hpp:326

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp